#
# spec file
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
%define skip_python2 1
%global flavor test%{nil}
%if "%{flavor}" == "test"
%define psuffix -test
%bcond_without test
%else
%define psuffix %{nil}
%bcond_with test
%endif
Name:           python-sphinxcontrib-htmlhelp%{psuffix}
Version:        2.0.5
Release:        1.1
Summary:        Sphinx contrib extension to generate html help files
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            https://github.com/sphinx-doc/sphinxcontrib-htmlhelp
Source:         https://files.pythonhosted.org/packages/source/s/sphinxcontrib_htmlhelp/sphinxcontrib_htmlhelp-%{version}.tar.gz
BuildRequires:  %{python_module flit-core}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module Sphinx >= 5.0}
BuildRequires:  %{python_module html5lib}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module sphinxcontrib-htmlhelp >= %{version}}
%endif
%python_subpackages

%description
Html help generating extension.

%prep
%autosetup -p1 -n sphinxcontrib_htmlhelp-%{version}

%build
%pyproject_wheel

%install
%if !%{with test}
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%endif

%if %{with test}
%check
%pytest
%endif

%if !%{with test}
%files %{python_files}
%doc README.rst CHANGES
%license LICENSE
%dir %{python_sitelib}/sphinxcontrib
%{python_sitelib}/sphinxcontrib/htmlhelp
%{python_sitelib}/sphinxcontrib_htmlhelp-%{version}*-info
%endif

%changelog
* Sun Jan 14 2024 Dirk Müller <dmueller@suse.com>
- update to 2.0.5:
  * Remove Sphinx as a required dependency, as circular
    dependencies may cause failure with package managers that
    expect a directed acyclic graph (DAG) of dependencies.
* Tue Aug 29 2023 Matej Cepl <mcepl@suse.com>
- Clean up the SPEC file
* Mon Aug 28 2023 Markéta Machová <mmachova@suse.com>
- Update to 2.0.4
  * Drop support for Python 3.8
  * Raise minimum required Sphinx version to 5.0
  * Fix tests for Sphinx 7.1 and below
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Mon Mar  6 2023 Dirk Müller <dmueller@suse.com>
- update to 2.0.1:
  * Drop support for Python 3.7 and lower
  * Fix deprecation warnings from Sphinx 6.1
- drop sphinx5.patch (upstream)
* Mon May 30 2022 Markéta Machová <mmachova@suse.com>
- Add upstream patch sphinx5.patch to fix build with the new Sphinx
* Sun Jun  6 2021 Dirk Müller <dmueller@suse.com>
- update to 2.0.0:
  * Drop python-3.5 support
  * Remove deprecated method: ``HTMLHelpBuilder.open_file()``
  * #6685: htmlhelp builder should generate HTML4 docs instead of HTML5
* Fri Feb 28 2020 Dirk Mueller <dmueller@suse.com>
- update to 1.0.3:
  * #6685: htmlhelp builder should generate HTML4 docs instead of HTML5
* Thu Jun  6 2019 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, needed by Sphinx
